Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.objects
Interface Key.KeyType

Enclosing class:
  Key

public static interface Key.KeyType

This interface defines the available key types as defined by PKCS#11 2.11: RSA, DSA, DH, ECDSA, KEA, GENERIC_SECRET, RC2, RC4, DES, DES2, DES3, CAST, CAST3, CAST5, CAST128, RC5, IDEA, SKIPJACK, BATON, JUNIPER, CDMF, AES, EC, X9_42_DH or VENDOR_DEFINED.

Version:
  1.0
Author:
  Karl Scheibelhofer

Field Summary
`static java.lang.Long` | `AES` The identifier for a AES key.
`static java.lang.Long` | `BATON` The identifier for a BATON key.
`static java.lang.Long` | `BLOWFISH` The identifier for a Blowfish key.
`static java.lang.Long` | `CAST` The identifier for a CAST key.
`static java.lang.Long` | `CAST128` The identifier for a CAST128 key.
`static java.lang.Long` | `CAST3` The identifier for a CAST3 key.
`static java.lang.Long` | `CAST5` The identifier for a CAST5 key; CAST5 is the same as CAST128.
`static java.lang.Long` | `CDMF` The identifier for a CDMF key.
`static java.lang.Long` | `DES` The identifier for a DES key.
`static java.lang.Long` | `DES2` The identifier for a double-length DES key.
`static java.lang.Long` | `DES3` The identifier for a trible-length DES key (Trible-DES).
`static java.lang.Long` | `DH` The identifier for a Diffi-Hellman key.
`static java.lang.Long` | `DSA` The identifier for a DSA key.
`static java.lang.Long` | `EC` The identifier for a EC key.
`static java.lang.Long` | `ECDSA` The identifier for a ECDSA key.
`static java.lang.Long` | `GENERIC_SECRET` The identifier for a generic secret key.
`static java.lang.Long` | `IDEA` The identifier for a IDEA key.
`static java.lang.Long` | `JUNIPER` The identifier for a JUNIPER key.
`static java.lang.Long` | `KEA` The identifier for a KEA key.
`static java.lang.Long` | `RC2` The identifier for a RC2 key.
`static java.lang.Long` | `RC4` The identifier for a RC4 key.
`static java.lang.Long` | `RC5` The identifier for a RC5 key.
`static java.lang.Long` | `RSA` The identifier for a RSA key.
`static java.lang.Long` | `SKIPJACK` The identifier for a SKIPJACK key.
`static java.lang.Long` | `TWOFISH` The identifier for a Twofish key.
`static java.lang.Long` | `VENDOR_DEFINED` The identifier for a VENDOR_DEFINED key.
`static java.lang.Long` | `X9_42_DH` The identifier for a EC key.

Field Detail

### RSA

    public static final java.lang.Long RSA

  The identifier for a RSA key.

### DSA

    public static final java.lang.Long DSA

  The identifier for a DSA key.

### DH

    public static final java.lang.Long DH

  The identifier for a Diffi-Hellman key.

### ECDSA

    public static final java.lang.Long ECDSA

  The identifier for a ECDSA key.

### EC

    public static final java.lang.Long EC

  The identifier for a EC key.

### X9_42_DH

    public static final java.lang.Long X9_42_DH

  The identifier for a EC key.

### KEA

    public static final java.lang.Long KEA

  The identifier for a KEA key.

### GENERIC_SECRET

    public static final java.lang.Long GENERIC_SECRET

  The identifier for a generic secret key.

### RC2

    public static final java.lang.Long RC2

  The identifier for a RC2 key.

### RC4

    public static final java.lang.Long RC4

  The identifier for a RC4 key.

### DES

    public static final java.lang.Long DES

  The identifier for a DES key.

### DES2

    public static final java.lang.Long DES2

  The identifier for a double-length DES key.

### DES3

    public static final java.lang.Long DES3

  The identifier for a trible-length DES key (Trible-DES).

### CAST

    public static final java.lang.Long CAST

  The identifier for a CAST key.

### CAST3

    public static final java.lang.Long CAST3

  The identifier for a CAST3 key.

### CAST5

    public static final java.lang.Long CAST5

  The identifier for a CAST5 key; CAST5 is the same as CAST128.

### CAST128

    public static final java.lang.Long CAST128

  The identifier for a CAST128 key.

### RC5

    public static final java.lang.Long RC5

  The identifier for a RC5 key.

### IDEA

    public static final java.lang.Long IDEA

  The identifier for a IDEA key.

### SKIPJACK

    public static final java.lang.Long SKIPJACK

  The identifier for a SKIPJACK key.

### BATON

    public static final java.lang.Long BATON

  The identifier for a BATON key.

### JUNIPER

    public static final java.lang.Long JUNIPER

  The identifier for a JUNIPER key.

### CDMF

    public static final java.lang.Long CDMF

  The identifier for a CDMF key.

### AES

    public static final java.lang.Long AES

  The identifier for a AES key.

### BLOWFISH

    public static final java.lang.Long BLOWFISH

  The identifier for a Blowfish key.

### TWOFISH

    public static final java.lang.Long TWOFISH

  The identifier for a Twofish key.

### VENDOR_DEFINED

    public static final java.lang.Long VENDOR_DEFINED

  The identifier for a VENDOR_DEFINED key. Any Long object with a value bigger than this one is also a valid vendor-defined key type identifier.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18